ListCollections
curl --request POST \
--url https://metadata.sequence.app/rpc/Collections/ListCollections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 30957
}
'import requests
url = "https://metadata.sequence.app/rpc/Collections/ListCollections"
payload = { "projectId": 30957 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: 30957})
};
fetch('https://metadata.sequence.app/rpc/Collections/ListCollections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"pageSize": 30,
"more": false
},
"collections": [
{
"id": 265,
"projectId": 30957,
"metadata": {
"name": "Mystic Horizons",
"description": ""
},
"private": false,
"tokenCount": 3,
"createdAt": "2024-05-31T04:17:14.093787Z",
"updatedAt": "2024-10-22T15:16:05.25969Z",
"baseURIs": {
"contractMetadataURI": "https://metadata.sequence.app/projects/30957/collections/265.json",
"tokenMetadataURI": "https://metadata.sequence.app/projects/30957/collections/265/tokens/"
}
},
{
"id": 690,
"projectId": 30957,
"metadata": {
"name": "Primary Sales NFTS - Divine Weapons",
"description": "Primary Sales NFTS - Divine Weapons Collection",
"image": "https://metadata.sequence.app/projects/30957/collections/690/image.png",
"external_link": "https://www.google.com"
},
"private": false,
"tokenCount": 2,
"createdAt": "2024-08-29T19:44:00.236269Z",
"updatedAt": "2024-08-29T19:52:13.722495Z",
"baseURIs": {
"contractMetadataURI": "https://metadata.sequence.app/projects/30957/collections/690.json",
"tokenMetadataURI": "https://metadata.sequence.app/projects/30957/collections/690/tokens/"
}
},
{
"id": 819,
"projectId": 30957,
"metadata": {
"name": "Placeholders",
"description": "Placeholders collection",
"image": "https://metadata.sequence.app/projects/30957/collections/819/image.png"
},
"private": false,
"tokenCount": 10,
"createdAt": "2024-10-03T18:46:15.987375Z",
"updatedAt": "2024-10-03T18:46:18.25727Z",
"baseURIs": {
"contractMetadataURI": "https://metadata.sequence.app/projects/30957/collections/819.json",
"tokenMetadataURI": "https://metadata.sequence.app/projects/30957/collections/819/tokens/"
}
},
{
"id": 887,
"projectId": 30957,
"metadata": {
"name": "Sandbox Chronicles",
"description": "A collection of test cases designed to push the boundaries of your API. Whether you’re validating edge cases, simulating real-world scenarios, or just experimenting with wild inputs, this suite ensures your endpoints are battle-tested and ready for anything. Perfect for developers who embrace the unexpected and thrive on precision.",
"properties": {
"funCollection": true,
"maxNfts": 22,
"minNfts": 4
}
},
"private": true,
"tokenCount": 0,
"createdAt": "2024-10-23T06:56:39.027843Z",
"updatedAt": "2024-10-23T06:56:39.027843Z",
"baseURIs": {
"contractMetadataURI": "https://metadata.sequence.app/projects/30957/collections/887.json",
"tokenMetadataURI": "https://metadata.sequence.app/projects/30957/collections/887/tokens/"
}
}
]
}{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}シークレット
ListCollections
POST
/
rpc
/
Collections
/
ListCollections
ListCollections
このページは役に立ちましたか?
⌘I